## prometheus-pushgateway 1.11.1~20250809125309.20%2Btrixie

=== debian/changelog ===
prometheus-pushgateway (1.11.1~20250809125309.20+trixie) stable; urgency=medium

  [ Mario Fetka ]
  * Bump
  * Bump

  [ root ]
  * Bump

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 1.11.1 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Sat, 09 Aug 2025 14:53:09 +0200

prometheus-pushgateway (0.9.1) stable; urgency=medium

  * Version bump to 0.9.1.

 -- Jiri Tyr <jiri.tyr@gmail.com>  Mon, 12 Aug 2019 14:57:49 +0200

=== debian/control ===
Source: prometheus-pushgateway
Section: net
Priority: optional
Maintainer: Jiri Tyr <jiri.tyr@gmail.com>
Standards-Version: 4.1.1
Homepage: https://prometheus.io/

Package: prometheus-pushgateway
Architecture: any
Description: Push acceptor for ephemeral and batch jobs to expose their metrics to Prometheus

=== debian/rules ===
#!/usr/bin/make -f

define checkdir
    @test -f debian/rules || \
    (echo Not in correct source directory; exit 1)
endef

define checkroot
    @test $$(id -u) = 0 || (echo need root priviledges; exit 1)
endef

PACKAGE = pushgateway
TOP_DIR := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
SRC_DIR = $(TOP_DIR)
DEB_DIR = $(TOP_DIR)/debian
DEST_DIR = $(DEB_DIR)/$(PACKAGE)

BIN_DIR = $(DEST_DIR)/usr/bin
CONF_DIR = $(DEST_DIR)/etc/prometheus
DEFAULT_DIR = $(DEST_DIR)/etc/default
DOCS_DIR = $(DEST_DIR)/usr/share/doc/$(PACKAGE)
SYSD_DIR = $(DEST_DIR)/usr/lib/systemd/system

build:

binary:
	$(checkdir)
	#$(checkroot)
	mkdir -p $(DEST_DIR)/DEBIAN $(BIN_DIR) $(CONF_DIR) $(DEFAULT_DIR) $(DOCS_DIR) $(SYSD_DIR)
	install -Dm755 $(SRC_DIR)/$(PACKAGE) -t $(BIN_DIR)
	install -Dm644 $(SRC_DIR)/LICENSE -t $(DOCS_DIR)
	install -Dm644 $(SRC_DIR)/NOTICE -t $(DOCS_DIR)
	install -Dm755 $(DEB_DIR)/postinst -t $(DEST_DIR)/DEBIAN
	install -Dm644 $(DEB_DIR)/default $(DEFAULT_DIR)/$(PACKAGE)
	install -Dm644 $(DEB_DIR)/service $(SYSD_DIR)/$(PACKAGE).service
	dpkg-gencontrol -P$(DEST_DIR)
	cd $(DEST_DIR) && find . -type f ! -regex '.*DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums
	dpkg-deb -b $(DEST_DIR) ../

clean:
	$(checkdir)
	-rm -rf debian/$(PACKAGE)
	-rm -f debian/files
	-rm -f debian/substvars

.PHONY: binary clean

## prometheus-pushgateway 1.11.1~20250809125310.20%2Bbullseye

=== debian/changelog ===
prometheus-pushgateway (1.11.1~20250809125310.20+bullseye) stable; urgency=medium

  [ Mario Fetka ]
  * Bump
  * Bump

  [ root ]
  * Bump

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 1.11.1 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Sat, 09 Aug 2025 14:53:10 +0200

## prometheus-pushgateway 1.11.1~20250809125316.20%2Bbuster

=== debian/changelog ===
prometheus-pushgateway (1.11.1~20250809125316.20+buster) stable; urgency=medium

  [ Mario Fetka ]
  * Bump
  * Bump

  [ root ]
  * Bump

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 1.11.1 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Sat, 09 Aug 2025 14:53:16 +0200

## prometheus-pushgateway 1.11.1~20250809125317.20%2Bbookworm

=== debian/changelog ===
prometheus-pushgateway (1.11.1~20250809125317.20+bookworm) stable; urgency=medium

  [ Mario Fetka ]
  * Bump
  * Bump

  [ root ]
  * Bump

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 1.11.1 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Sat, 09 Aug 2025 14:53:17 +0200

## prometheus-pushgateway 1.11.1

=== Makefile ===
# Copyright 2016 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le s390x

include Makefile.common

DOCKER_IMAGE_NAME ?= pushgateway

assets:
	@echo ">> writing assets"
	@cd $(PREFIX)/asset && GO111MODULE=$(GO111MODULE) $(GO) generate && $(GOFMT) -w assets_vfsdata.go

=== debian/changelog ===
prometheus-pushgateway (1.11.1-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)
  * Add myself to Uploaders

  [ Martina Ferrari ]
  * Fix my email address

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Aug 2025 23:07:04 +0000

=== debian/control ===
Source: prometheus-pushgateway
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.21~),
               golang-github-golang-protobuf-1-5-dev,
               golang-github-golang-snappy-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-client-model-dev (>= 0.4.0),
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
               golang-github-prometheus-prometheus-dev,
               golang-google-protobuf-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pushgateway
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pushgateway.git
Homepage: https://github.com/prometheus/pushgateway
XS-Go-Import-Path: github.com/prometheus/pushgateway

Package: prometheus-pushgateway
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         fonts-glyphicons-halflings,
         libjs-bootstrap4,
         libjs-jquery (>= 3),
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for ephemereal jobs
 The Prometheus Pushgateway exists to allow ephemeral and batch jobs to expose
 their metrics to Prometheus. Since these kinds of jobs may not exist long
 enough to be scraped, they can instead push their metrics to a Pushgateway.
 The Pushgateway then exposes these metrics to Prometheus.
 .
 The Pushgateway is explicitly not an aggregator, but rather a metrics cache.
 It does not have a statsd-like semantics. The metrics pushed are exactly the
 same as you would present for scraping in a permanently running program.
 .
 For machine-level metrics, the textfile collector of prometheus-node-exporter
 is usually more appropriate. The Pushgateway is best used for service-level
 metrics.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

# Avoid embedded blobs.
export DH_GOLANG_EXCLUDES := asset

BUILDDIR := build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddirectory=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/pushgateway _build/bin/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Prometheus gateway for push metrics
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/prometheus/pushgateway/tags .*/v?(\d\S*)\.tar\.gz debian

## prometheus-pushgateway 1.11.2

=== debian/changelog ===
prometheus-pushgateway (1.11.2-1) unstable; urgency=medium

  * New upstream release. Closes: 1126223

 -- Martina Ferrari <tina@debian.org>  Tue, 10 Feb 2026 18:32:38 +0000
